Bug 672 - samba upgrade can fail because of missing PreReq
: samba upgrade can fail because of missing PreReq
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba-common)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-28 21:07 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-28 21:07:25
В результате apt-get install samba имеем:

...
/usr/bin/make_unicodemap: error while loading shared libraries: libacl.so.1: cannot open shared object file: No such file or directory
(повторяется многократно)
...
Sub-process /bin/rpm returned an error code (20)

Причина - в зависимостях пакета samba-common отсутствует PreReq: libacl libcups (с libcups тоже возможна аналогичная ситуация, наблюдалась еще в пакетах samba-2.0.x).  Подчеркиваю: зависимость типа PreReq требуется именно для пакета samba-common, поскольку указанные библиотеки требуются при выполнении установочных скриптов.

Алтернативный вариант решения проблемы - исправить Makefile для сборки makesmbcodepage и make_unicodemap, чтобы они не требовали libcups и libacl (которые им для работы явно не нужны).
---

---

------- Comment #1 From 2002-02-28 21:45:11 -------
Исправлено в samba 2.2.3-alt4
К сожалению, отучить samb-common от этих библиотек не удастся -- они используются в некоторых других программах пакета.
------- Comment #2 From 2002-02-28 21:45:11 -------
Исправлено в samba 2.2.3-alt4
К сожалению, отучить samb-common от этих библиотек не удастся -- они используются в некоторых других программах пакета.
------- Comment #3 From 2002-03-11 15:51:00 -------
Fixed in alt4
------- Comment #4 From 2002-03-11 15:51:00 -------
Fixed in alt4